## net.sf.saxon.expr
Interface EvaluableItem

All Known Implementing Classes:
  Adjust, Aggregate, AnalyzeString, AnalyzeStringFunction, ApplyImports, ApplyTemplates, ArithmeticExpression, ArithmeticExpression10, Assign, Assignation, AtomicMappingExpression, AtomicSequenceConverter, Atomizer, AttributeCreator, Available, AxisExpression, BaseURI, BasicUpdatingExpression, BinaryExpression, Block, BooleanExpression, BooleanFn, BreakInstr, CallTemplate, CardinalityChecker, CastableExpression, CastExpression, Choose, CodepointEqual, CodepointsToString, CollatingFunction, Collection, Comment, Compare, CompareToIntegerConstant, CompileTimeFunction, Component, ComputedAttribute, ComputedElement, Concat, ConditionalSorter, Contains, ContextItemExpression, ContinueInstr, Copy, CopyModifyExpression, CopyOf, Current, CurrentDateTime, CurrentGroup, CurrentItemExpression, Data, DateTimeConstructor, DeepEqual, DefaultCollation, DeleteExpression, DistinctValues, Doc, DocAvailable, Doctype, Document, DocumentInstr, DocumentSorter, DynamicFunction, DynamicFunctionCall, EagerLetExpression, ElementCreator, Error, ErrorExpression, EscapeURI, Evaluate, Existence, Expression, ExtensionFunctionCall, FilterExpression, Find, FirstItemExpression, FixedAttribute, FixedElement, ForceCase, ForEach, ForEachGroup, ForEachGroupFunction, ForExpression, FormatDate, FormatNumber, FunctionCall, GeneralComparison, GeneralComparison10, GeneralComparisonSA, GeneralVariable, GlobalParam, GlobalVariable, Id, IdentityComparison, Idref, Index, IndexedFilterExpression, IndexedLookupExpression, IndexOf, InScopePrefixes, Insert, InsertExpression, InstanceOfExpression, Instruction, IntegerRangeTest, IsLastExpression, IsWholeNumber, ItemAt, ItemChecker, IterateInstr, KeyFn, Lang, Last, LastItemExpression, LazyExpression, LetExpression, Literal, LocalParam, LocalVariable, LocalVariableReference, Matches, Message, Minimax, NamePart, Namespace, NamespaceForPrefix, NegateExpression, NextMatch, Nilled, NormalizeSpace, NormalizeUnicode, NumberFn, NumberInstruction, NumericPromoter, ParentNodeConstructor, ParentNodeExpression, Parse, PathExpression, PatternMatchExpression, PatternSponsor, Position, ProcessingInstruction, Put, QNameFn, QuantifiedExpression, QuerySimpleContentConstructor, RangeExpression, RegexGroup, Remove, RenameExpression, Replace, ReplaceNodeExpression, ReplaceValueExpression, ResolveQName, ResolveURI, ResultDocument, ResultDocumentFunction, Reverse, Root, RootExpression, Rounding, Serialize, SimpleContentConstructor, SimpleExpression, SimpleNodeConstructor, SingleNodeExpression, SingletonAtomizer, SingletonComparison, SlashExpression, SortExpression, StaticBaseURI, StreamFn, StreamingCopy, StringFn, StringJoin, StringLength, StringLiteral, StringToCodepoints, Subsequence, Substring, SuppliedParameterReference, SwitchExpression, SystemFunction, SystemProperty, TailCallLoop, TailExpression, Tokenize, Trace, TraceExpression, TraceInstruction, TraceWrapper, Translate, TreatFn, Try, TupleExpression, TupleSorter, UnaryExpression, Unordered, UnparsedEntity, UnparsedText, UntypedAtomicConverter, UseAttributeSets, UserFunctionCall, ValueComparison, ValueOf, VariableReference, VennExpression, While, WithParam, XPathFunctionCall

    public interface EvaluableItem

This interface is a simple subset of the Expression interface, that provides a single method to evaluate the result of an expression as a single item

Method Summary
`Item` `evaluateItem(XPathContext context)` Return an item

Method Detail

### evaluateItem

    Item evaluateItem(XPathContext context)
                      throws XPathException

  Return an item

  Parameters:
    `context` - the dynamic evaluation context
  Returns:
    the item
  Throws:
    `XPathException`

Copyright (c) Saxonica Limited. All rights reserved.